Subject: bug#75785: closed (Re: bug#75785: 30.0.93: grouped type declarations fail to indent in go-ts-mode)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 23 Jan 2025 17:36:02 +0000

Your bug report

#75785: 30.0.93: grouped type declarations fail to indent in go-ts-mode

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
75785: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=75785
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#75785: 30.0.93: grouped type declarations fail to indent in go-ts-mode
From: Eli Zaretskii <[email-masked]>
To: Gerard Vermeulen <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked]
Date: Thu, 23 Jan 2025 19:35:06 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Thu, 23 Jan 2025 16:42:07 +0000
> From: Gerard Vermeulen <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>, Yuan Fu <[email-masked]>,
>  [email-masked]
> 
> 
> 
> On 23.01.2025 17:22, Randy Taylor wrote:
> > On Thursday, January 23rd, 2025 at 09:56, Eli Zaretskii <[email-masked]> 
> > wrote:
> >> 
> >> 
> >> > Date: Thu, 23 Jan 2025 13:09:45 +0000
> >> 
> >> > From: Gerard Vermeulen [email-masked]
> >> >
> >> > Hi,
> >> >
> >> > Automatic indenting when typing works in go-ts-mode for grouped
> >> > var declarations like:
> >> >
> >> > var (
> >> > a = 1
> >> > b = 2
> >> > )
> >> >
> >> > but not for type declarations (taken from
> >> > https://github.com/uber-go/guide/blob/master/style.md#group-similar-declarations
> >> > ) like:
> >> >
> >> > type (
> >> > Area float64
> >> > Volume float64
> >> > )
> >> >
> >> > where I have to add the tabs (or spaces) myself.
> >> > I tried to change "type_spec" to "type_spec_list" in the defvar
> >> > go-ts-mode--indent-rules expression, but that did not fix it.
> >> >
> >> > I am using a recent 30.0.93 git checkout.
> >> >
> >> > Can it be fixed?
> >> 
> >> 
> >> Randy and Yuan, could you please look into this?
> > 
> > Thanks for the report.
> > 
> > The attached patch fixes it for me.
> 
> For me too. Thanks.

Thanks, so I'm now closing this bug.

Subject: 30.0.93: grouped type declarations fail to indent in go-ts-mode
From: Gerard Vermeulen <[email-masked]>
To: Bug gnu emacs <[email-masked]>
Date: Thu, 23 Jan 2025 13:09:45 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Automatic indenting when typing works in go-ts-mode for grouped
var declarations like:

var (
         a = 1
         b = 2
)

but not for type declarations (taken from
https://github.com/uber-go/guide/blob/master/style.md#group-similar-declarations
) like:

type (
Area float64
Volume float64
)

where I have to add the tabs (or spaces) myself.
I tried to change "type_spec" to "type_spec_list" in the defvar
go-ts-mode--indent-rules expression, but that did not fix it.

I am using a recent 30.0.93 git checkout.

Can it be fixed?

Best regards -- Gerard